Page MenuHomePhabricator

Purge asks for "Clear the cache of this page" for logged in users with the "purge" right
Closed, DuplicatePublic

Description

I merged an item on Wikidata and I was a bit puzzled because at https://www.wikidata.org/w/index.php?title=Q26308744&action=purge I got the question " Clear the cache of this page?" and I never had that with merging. I checked https://www.wikidata.org/wiki/Special:ListGroupRights and sure enough "Purge the site cache for a page without confirmation (purge)" was still there. I'm logged in (and admin) so I should have that right. I see the same behavior on https://en.wikipedia.org/w/index.php?title=Category:2016_Summer_Olympics&action=purge (normal user), https://commons.wikimedia.org/w/index.php?title=Category:2016_Summer_Olympics&action=purge (admin) and https://nl.wikipedia.org/w/index.php?title=Olympische_Zomerspelen_2012&action=purge .

This looks a bit like T143372 , but that report is different. I guess recently the code around purging got changed and deployed. First time I've encountered this behavior is today (19 Aug), I see that I merged an item a couple of days ago (16 Aug) and I don't remember running into it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2016, 5:02 PM
Multichill reopened this task as Open.Aug 19 2016, 9:41 PM
Multichill added a subscriber: hoo.

Come on @hoo , this is not a duplicate. This affects more than just Wikidata.

hoo added a comment.Aug 19 2016, 11:46 PM

Come on @hoo , this is not a duplicate. This affects more than just Wikidata.

Sorry, misread this bug :(

It's about neither of them, this bug is about https://en.wikipedia.org/w/index.php?title=Category:2016_Summer_Olympics&action=purge that stopped working and that is used quite a lot, see for example https://en.wikipedia.org/wiki/Template:Purge

Esc3300 added a subscriber: Esc3300.

It's about neither of them, this bug is about https://en.wikipedia.org/w/index.php?title=Category:2016_Summer_Olympics&action=purge that stopped working and that is used quite a lot, see for example https://en.wikipedia.org/wiki/Template:Purge

When you say "stopped working", you mean that purging now requires an additional click? When I visit https://en.wikipedia.org/w/index.php?title=Category:2016_Summer_Olympics&action=purge, I get prompted with "Clear the cache of this page? [Yes]". I believe this "Yes" button is still functional/working.

I still think T135170#2416859 is relevant here. Saying that https://en.wikipedia.org/wiki/Template:Purge is used quite a lot doesn't really justify this misfeature's continued existence, in my opinion.

If you want a confirmation-less purge link, I think JavaScript is the only available option if the purge action now requires using POST instead of GET.

T143531 is a request to rollback the change

jayvdb added a subscriber: jayvdb.Aug 22 2016, 4:20 AM

When you say "stopped working", you mean that purging now requires an additional click?

I'm also curious here.

If you want a confirmation-less purge link, I think JavaScript is the only available option if the purge action now requires using POST instead of GET.

https://phabricator.wikimedia.org/T143531#2578508 says that "Solutions that use JavaScript to bypass the form are *welcome*".

@Multichill: Could you reply to T143435#2578974 please?

There is a user-right that stopped working at Wikidata.

Given that many pages on Wikidata make use of Wikidata statements and labels, "purge" is needed to view the current status of such statements.

@Esc3300 short story: this is a a users v. sysadmins issue here - and the sysadmins decided they don't want this - I'm a bit surprised these tickets haven't been closed out yet as WONTFIX.

Maybe this user-right should be moved to sysadmins instead?

https://www.wikidata.org/wiki/Special:ListGroupRights

Currently it's assign to all users, but autoconfirmed might solve it for most users.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 6 2017, 12:39 PM